# QName

Constructs a QName value from a URI and local name. The second argument may be a lexical QName, and the prefix of the lexical QName is returned in the constructed value, for use if it is converted back to a string.

QName($paramURI as xs:string?, $paramQName as xs:string) → xs:QName

Arguments
| $paramURI | xs:string? | The namespace URI component of the constructed QName
| $paramQName | xs:string | A lexical QName that supplies the local name component of the constructed QName, and optionally the prefix
Result | xs:QName

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next